Subject: [Sipping] Re: I-D ACTION:draft-akhtar-sipping-header-reduction-00.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 28 Feb 2006 21:03:06 -0500

Its not clear from reading this document why everything in here cannot 
be accomplished with sigcomp alone. The basic idea, if I understand 
right, is that, upon registration, the proxy server stores certain 
information about the UA which is not expected to change from request to 
request, and it repopulates it when a UA emits a request (which won't 
contain that information). That is more or less equivalent to placing 
that information into a sigcomp dictionary and then using sigcomp to ask 
the server to extract the information from the dictionary.

Thanks,
Jonathan R.

[email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title		: New SIP Headers for Reducing SIP Message Size 
> 	Author(s)	: H. Akhtar, et al.
> 	Filename	: draft-akhtar-sipping-header-reduction-00.txt
> 	Pages		: 18
> 	Date		: 2006-2-28
> 	
>    Current SIP messages are text based and inherently large, especially
>    when these messages are to be transmitted over the bandwidth-strained
>    wireless access technologies (a typical orginiating SIP Invite is 
>    about 1200 bytes). 
> 
>    For most wireless technologies, transmitting the session initiation 
>    messages (such as SIP Invite) over the signaling channel can reduce 
>    the call setup time substantially. The size limitation of these 
>    wireless signaling channels are typically very small (~210 bytes in 
>    the uplink and ~110 bytes in the downlink).
> 
>    To address this problem, a new function called Encoding Assitant    
>    (EA) has been introduced in the User Agent (UA) and in the 
>    SIP Proxy server within the network. Additionally, the method 
>    provided in this document defines new SIP option tags and headers. 
>    These new option tags and headers allow the UA and a SIP Proxy 
>    server within the network (such as the P-CSCF), to exchange 
>    information using the signaling channels supported by most wireless 
>    access networks.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-akhtar-sipping-header-reduction-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of the message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-akhtar-sipping-header-reduction-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-akhtar-sipping-header-reduction-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP